package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

public class Brand implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	
	private String sctId;
	
	private String brandName;
	
	private Set<MedicinalProduct> medicinalProducts = new HashSet<>();
	
	public Brand(String sctId) {
		this.sctId = sctId;
	}
	
	public Brand() {
	}
	
	public String getSctId() {
		return sctId;
	}
	public void setSctId(String sctId) {
		this.sctId = sctId;
	}
	public String getBrandName() {
		return brandName;
	}
	public void setBrandName(String brandName) {
		this.brandName = brandName;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((sctId == null) ? 0 : sctId.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Brand other = (Brand) obj;
		if (sctId == null) {
			if (other.sctId != null)
				return false;
		} else if (!sctId.equals(other.sctId))
			return false;
		return true;
	}

	public Set<MedicinalProduct> getMedicinalProducts() {
		return medicinalProducts;
	}

	public void setMedicinalProducts(Set<MedicinalProduct> medicinalProducts) {
		this.medicinalProducts = medicinalProducts;
	}

	

}
